.m-drag-and-drop {
  width: 100%;
  display: flex;
  flex-wrap: wrap;

  tbody tr td.error {
    &.input-placeholder {
      border: 0 !important;
    }

    position: relative;
    &::after {
      content: ' ';
      position: absolute;
      inset: 0;
      border: 1px solid #dd3a09;
      pointer-events: none;
      border-radius: 8px;
    }
  }

  .question-table-dd1 {
    width: 100%;
    padding: 0 1rem 1.6rem 1rem;
    // font-family: 'Montserrat Regular';
    &-table {
      width: 100%;
      border-radius: 8px;
      box-shadow: 0px 1px 4px rgb(115 132 152 / 20%);
      table-layout: fixed;
      background-color: white;
      overflow: hidden;
    }

    .table-thead {
      tr {
        background-color: #5cb9d8;
      }
      th {
        color: #ffffff;
        font-size: 1.4rem;
        font-weight: 400;
        padding: 11px;
        &:nth-child(1) {
          width: 15%;
          text-align: center;
        }
        &:nth-child(2) {
          width: 22%;
          text-align: left;
        }
        &:nth-child(3) {
          width: 63%;
          text-align: left;
        }
      }
    }

    .table-tbody {
      tr {
        margin-bottom: 1rem;
        border-bottom: 1px solid #ccc;
      }
      td {
        padding: 12px;
        min-height: 60px;
        position: relative;

        .rs-toggle {
          .rs-toggle-presentation {
            background: #67ab8d;
            min-width: 80px;
          }
        }
        .rs-toggle-checked {
          .rs-toggle-presentation {
            background: #f8c116 !important;
          }
        }
      
        &:nth-child(1) {
          width: 18%;
          // text-align: center;
          .toggle-switch{
            display: flex;
            justify-content: center;
            position: absolute;
            top: 80px;
            right: 0;
            left: 0;
          }
        }
        &:nth-child(2) {
          // width: 82%;
          display: flex;
          justify-content: center;
          align-items: center;
          flex: 1;
          flex-direction: row;
        }

        .image-input-dd1 {
          width: 100%;

          .image-dd1-guide {
            font-size: 1.2rem;
            color: #39c9f9;
            font-weight: 600;
            display: flex;
            line-height: 1.6rem;
            text-align: center;

            & > img {
              width: 1.6rem;
              height: 1.6rem;
              vertical-align: top;
              margin-right: 0.6rem;
            }
          }

          .box-image-input-dd1 {
            display: flex;
            flex-direction: column;
            height: 16rem;
            justify-content: center;
            align-items: center;
            background: #fff;
            border-radius: 0.8rem;
            border: 0.1rem solid #d5dee8;
            // margin-left: 1rem;
            // margin-right: 1rem;
            margin-bottom: 1.6rem;
            cursor: pointer;
            padding: 10px;

            .image-section {
              position: relative;
              max-height: 100%;
              max-width: 100%;
              display: flex;
              justify-content: center;
              align-items: center;

              .image-input-origin {
                max-width: 100%;
                height: 100%;
                display: flex;
                flex-direction: column;
                justify-content: center;
                align-items: center;
                position: relative;

                > img.icon {
                  width: 40px;
                  height: 40px;
                }

                > img.image-upload {
                  max-height: 100%;
                  max-width: 100%;
                  border-radius: 10px;
                  height: auto;
                }

                > img.image-delete-icon {
                  max-width: 20px;
                  max-height: 20px;
                  position: absolute;
                  top: -6px;
                  right: -6px;
                  cursor: pointer;
                }
              }
            }

            &.error {
              border-color: #dd3a09;
            }
          }
        }

        .form-input-stretch {
          width: 100%;
          margin-left: 0;
          margin-right: 0;
          margin-bottom: 1.6rem;
          margin-top: 2rem;

          table {
            thead tr th {
              &:nth-child(1) {
                // width: calc(100% - 60px);
              }
              &:nth-child(2) {
                width: 60px;
              }
            }
            tbody tr.action{
              background: white;
            }
            tbody tr.divide div {
              margin: 0 16px !important;
            }
  
            .add-new-answer {
              margin-left: 1rem;
            }
  
            .rs-picker-tag-wrapper {
              display: flex;
              align-items: center;
              flex-wrap: wrap;
            }
  
            .rs-picker-toggle-clean,
            .rs-picker-toggle-caret {
              display: none;
            }
            .error-item{
              .rs-picker-input {
                border: 1px solid #dd3a09;
              }
            }
            .rs-picker-input {
              border: 0;
              width: 100%;
              cursor: pointer;
            }

            tbody tr.error {
              .rs-picker-input {
                border: 1px solid #dd3a09;
              }
            }
  
            .rs-tag {
              background-color: #f5f8fc;
              font-size: 1.4rem;
              padding-right: 30px;
            }
  
            .rs-tag-icon-close {
              svg {
                visibility: hidden;
              }
  
              &::after {
                content: ' ';
                position: absolute;
                width: 1.6rem;
                height: 1.6rem;
                left: 50%;
                top: 50%;
                transform: translate(-50%, -50%);
                background-image: url(/images/icons/ic-close-circle.png);
                background-size: 100% 100%;
              }
            }
            .rs-picker-check-menu, .rs-picker-check-menu-item{
              max-width: 550px;
            }
          }

          .error{
            border-color: #dd3a09;
          }
        }

        .box-words {
          position: relative;
          min-height: 11rem;
          border: 1px solid #d5dee8;
          box-sizing: border-box;
          border-radius: 8px;
          display: flex;
          align-items: center;
          flex-wrap: wrap;
          padding: 4px 12px 4.5rem 12px;
          margin-bottom: 1.6rem;
          background-color: white;

          &:focus {
            border-color: #6868ac;
          }

          > input {
            width: 100px;
            height: 30px;
            border: 1px solid #d5dee8;
            border-radius: 8px;
            padding: 4px;
          }

          > div {
            background: #f5f8fc;
            border-radius: 8px;
            display: flex;
            align-items: center;
            padding: 5px 8px 5px 12px;
            margin: 4px;
            min-width: 40px;
            position: relative;

            span {
              white-space: pre-wrap;
              min-width: 20px;
            }

            > img {
              width: 1.6rem;
              height: 1.6rem;
              margin-left: 0.8rem;
              cursor: pointer;
            }
          }

          &[data-exist='true'] {
            label {
              top: 0;
              left: 1.2rem;

              color: #6868ac;
              font-size: 1.2rem;
              font-weight: 600;
            }
          }

          label {
            position: absolute;
            top: 2rem;
            left: 0.1rem;

            padding: 0 1.2rem;

            font-size: 1.4rem;
            font-weight: 500;

            transform: translateY(-50%);

            transition: all 0.25s;

            pointer-events: none;

            &::before {
              position: absolute;
              bottom: 1px;
              left: 0;
              z-index: 1;

              width: 100%;
              height: calc(50% + 0.025rem);

              background: #fff;

              content: '';
            }

            span {
              position: relative;
              z-index: 2;
            }
          }
        }

        .keyword-error {
          .box-words {
            border-color: #dd3a09;
          }
        }

        
      }

      .ic-action {
        height: 17px;
        width: 17px;
        cursor: pointer;
        margin: 0 1.4rem;
        position: absolute;
        top: 1rem;
        right: 0rem;
      }
    }

    .render_error {
      margin-left: 1rem;
      margin-top: 1.5rem;
      color: #dd3a09;
      font-size: 1.4rem;
      font-weight: 400;
    }

    .question-table-dd1-action {
      height: 62px;
      background-color: #ffffff !important;
      td {
        border-bottom: none !important;
        .add-new-answer-tf4 {
          display: flex;
          align-items: center;
          justify-content: center;
          cursor: pointer;
          color: #309fc3;
          font-weight: 500;
          // font-family: 'Montserrat Medium';
        }
      }
    }
  }
}
